require( "scripts/style" );

PlaceholderFont = {
  standardFont,
  28,
  BlackColor
};

function ClickedPlayButton()
  --[[
	result = DisplayDialog {
		"scripts/playconfirm.lua",
		body ="#"..GetString("playconfirmdlg_body",GetState('debugsuitornum'), GetState('debugtocounselnum')),
		nolabel="dialogconfirm_notyet"
	};
  --]]
	--if (result=='yes') then
		SwapToModal("scripts/game.lua");
	--end
end

MakeDialog
{
	name="mapbuildmodal",
	--Bitmap
	--{
	--	name="backgroundimage",
	--	image="images/map/map_bg",
	--	x=0, y=0,
		
		MapBuildWindow
		{
			x=0,
			y=0,
			w=1024,
			h=768,
			
			UIElements=
			{
				-- hover purchase icons to display info
				purchaseInfoDescription_X = -236.0, purchaseInfoDescription_Y = -130.0,
				-- have 2 extra fields below description(for houses/landscapes)
				purchaseInfo2Fields_Element1_X = -346.0, purchaseInfo2Fields_Element1_Y = -118.0,
				purchaseInfo2Fields_Element2_X = -146.0, purchaseInfo2Fields_Element2_Y = -118.0,
				-- have 3 extra fields below description(for recreations)
				purchaseInfo3Fields_Element1_X = -379.3, purchaseInfo3Fields_Element1_Y = -118.0,
				purchaseInfo3Fields_Element2_X = -246.0, purchaseInfo3Fields_Element2_Y = -118.0,
				purchaseInfo3Fields_Element3_X = -112.6, purchaseInfo3Fields_Element3_Y = -118.0,
			},

			SetStyle( ButtonStyle ),
			AddInvisiblePauseButton(true, true, false, false);
		}
	--}
};

HideInvisiblePauseButton();